# List Currencies

## Gets a list of currencies.

> Supports filtering, sorting, and pagination via query string parameters.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/exchange/currencies":{"get":{"tags":["Currencies"],"summary":"Gets a list of currencies.","description":"Supports filtering, sorting, and pagination via query string parameters.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyListResponse"}}}}}}}},"components":{"schemas":{"CurrencyListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Currency"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Currency":{"type":"object","properties":{"audit":{"allOf":[{"$ref":"#/components/schemas/ExchangeAudit"}],"description":"Exchange Entity Audit properties bag"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the currency."},"name":{"type":"string","description":"The name of the currency."},"code":{"type":"string","description":"The ISO code of currency"},"precision":{"type":"integer","description":"Precision of the currency","format":"int32"},"statistics":{"allOf":[{"$ref":"#/components/schemas/CurrencyStatistics"}],"description":"Currency statistics"},"status":{"allOf":[{"$ref":"#/components/schemas/CurrencyStatus"}],"description":"The current status of the currency."}},"additionalProperties":false,"description":"Represents currency in exchange module."},"ExchangeAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Delete event details","nullable":true}},"additionalProperties":false,"description":"Exchange Entity Audit properties bag"},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"CurrencyStatistics":{"type":"object","properties":{"sellerCount":{"type":"integer","description":"Number of sellers using currency","format":"int32"},"pairCount":{"type":"integer","description":"Number of pairs","format":"int32"}},"additionalProperties":false,"description":"Currency usage statistics"},"CurrencyStatus":{"enum":["Active","Deleted"],"type":"string","description":"Currency status enumeration"}}}}
```
